feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Backend.C.CodeGeneration

# Documentation

data Place

Constructors

Declaration_pl |
MainParameter_pl |
ValueNeed_pl |
AddressNeed_pl |
FunctionCallIn_pl |

Instances

Eq Place |
Show Place |

class ToC a where

Methods

toC :: Options -> Place -> a -> String

Instances

ToC Type |
ToC (Variable ()) |

getStructTypeName :: Options -> Place -> Type -> String

show_variable :: Options -> Place -> VariableRole -> Type -> String -> String

show_type :: Options -> Place -> Type -> IsRestrict -> String

show_name :: VariableRole -> Place -> Type -> String -> String

class HasType a where

Methods

typeof :: a -> Type

Instances

HasType (Variable t) |
ShowLabel t => HasType (Constant t) |
ShowLabel t => HasType (Expression t) |
ShowLabel t => HasType (ActualParameter t) |

ind :: (a -> String) -> a -> String

listprint :: (a -> String) -> String -> [a] -> String

decrArrayDepth :: Type -> Type

getStructFieldType :: String -> Type -> Type